import request from '@/utils/request'

// 查询货位管理列表
export function listLocation(query) {
	return request({
		url: '/wms/location/list',
		method: 'get',
		params: query
	});
}

// 查询货位管理详细
export function getLocation(locationId) {
	return request({
		url: '/wms/location/' + locationId,
		method: 'get'
		});
}

// 新增货位管理
export function addLocation(data) {
	return request({
		url: '/wms/location',
		method: 'post',
		data: data
	});
}

// 修改货位管理
export function updateLocation(data) {
	return request({
		url: '/wms/location',
		method: 'put',
		data: data
	});
}

// 删除货位管理
export function delLocation(locationId) {
	return request({
		url: '/wms/location/' + locationId,
		method: 'delete'
	});
}
